using System.Text.Json.Serialization;

namespace  DataSharing.Share.Dtos.Province.Extend
{
    /// <summary>
    /// 12315表单
    /// </summary>
    public class FormMarketInfo
    {
        /// <summary>
        /// 表单类型  投诉:20举报:25咨询:10
        /// </summary>
        [JsonPropertyName("Rqsttypy")]
        public string Rqsttypy { get; set; }

        /// <summary>
        /// 投诉问题类别
        /// </summary>
        [JsonPropertyName("ApplBasQue")]
        public string ApplBasQue { get; set; }

        /// <summary>
        /// 投诉问题类别名称
        /// </summary>
        [JsonPropertyName("ApplBasQueName")]
        public string ApplBasQueName { get; set; }

        /// <summary>
        /// 专利号
        /// </summary>
        [JsonPropertyName("Zlh")]
        public string Zlh { get; set; }

        /// <summary>
        /// 专利权人
        /// </summary>
        [JsonPropertyName("Zlqr")]
        public string Zlqr { get; set; }

        /// <summary>
        /// 发明名称
        /// </summary>
        [JsonPropertyName("Fmmc")]
        public string Fmmc { get; set; }

        /// <summary>
        /// 专利类型
        /// </summary>
        [JsonPropertyName("Zllx")]
        public string Zllx { get; set; }

        /// <summary>
        /// 专利类型名称
        /// </summary>
        [JsonPropertyName("ZllxMc")]
        public string ZllxMc { get; set; }

        /// <summary>
        /// 实际经营地代码
        /// </summary>
        [JsonPropertyName("Accsce")]
        public string Accsce { get; set; }

        /// <summary>
        /// 实际经营地详细地址
        /// </summary>
        [JsonPropertyName("Sfdd")]
        public string Sfdd { get; set; }

        /// <summary>
        /// 争议发生时间
        /// </summary>
        [JsonPropertyName("ControversyTime")]
        public DateTime? ControversyTime { get; set; }

        /// <summary>
        /// 诉求内容
        /// </summary>
        [JsonPropertyName("AppealContent")]
        public string AppealContent { get; set; }

        /// <summary>
        /// 登记部门编码
        /// </summary>
        [JsonPropertyName("HandDepCode")]
        public string HandDepCode { get; set; }

        /// <summary>
        /// 登记部门名称
        /// </summary>
        [JsonPropertyName("HandDep")]
        public string HandDep { get; set; }

        /// <summary>
        /// 坐席工号
        /// </summary>
        [JsonPropertyName("Zxgh")]
        public string Zxgh { get; set; }

        /// <summary>
        /// 受理登记人编码
        /// </summary>
        [JsonPropertyName("AccregperId")]
        public string AccregperId { get; set; }

        /// <summary>
        /// 受理登记人名称
        /// </summary>
        [JsonPropertyName("AccregperName")]
        public string AccregperName { get; set; }

        /// <summary>
        /// 登记信息录入时间
        /// </summary>
        [JsonPropertyName("RegTime")]
        public DateTime? RegTime { get; set; }

        /// <summary>
        /// 登记信息提交时间
        /// </summary>
        [JsonPropertyName("CmTime")]
        public DateTime? CmTime { get; set; }

        /// <summary>
        /// 商品服务类别编码
        /// </summary>
        [JsonPropertyName("OBType")]
        public string OBType { get; set; }

        /// <summary>
        /// 商品服务类别名称
        /// </summary>
        [JsonPropertyName("OBTypeName")]
        public string OBTypeName { get; set; }

        /// <summary>
        /// 商品服务名称
        /// </summary>
        [JsonPropertyName("MdseName")]
        public string MdseName { get; set; }

        /// <summary>
        /// 销售方式
        /// </summary>
        [JsonPropertyName("SaleMode")]
        public string SaleMode { get; set; }

        /// <summary>
        /// 投诉目标：网购时必填项选择【1：投诉电商平台2：投诉电商平台入驻商户】
        /// </summary>
        [JsonPropertyName("DsptType")]
        public string DsptType { get; set; }

        /// <summary>
        /// 电商平台代码
        /// </summary>
        [JsonPropertyName("DsptCode")]
        public string DsptCode { get; set; }

        /// <summary>
        /// 电商平台名称
        /// </summary>
        [JsonPropertyName("DsptName")]
        public string DsptName { get; set; }

        /// <summary>
        /// 品牌代码/品牌ID
        /// </summary>
        [JsonPropertyName("BrandCode")]
        public string BrandCode { get; set; }

        /// <summary>
        /// 品牌名称
        /// </summary>
        [JsonPropertyName("BrandName")]
        public string BrandName { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [JsonPropertyName("BIdNo")]
        public string BIdNo { get; set; }

        /// <summary>
        /// 消费金额
        /// </summary>
        [JsonPropertyName("InvoAm")]
        public decimal? InvoAm { get; set; }

        /// <summary>
        /// 具体渠道类型 1 电视购物 ;2 电话购物;3 邮购（销售方式是“电视电话购物及邮购”时必填）
        /// </summary>
        [JsonPropertyName("Jtqdtype")]
        public string Jtqdtype { get; set; }

        /// <summary>
        /// 具体渠道内容
        /// </summary>
        [JsonPropertyName("Jtqdname")]
        public string Jtqdname { get; set; }

        /// <summary>
        /// 产品名称
        /// </summary>
        [JsonPropertyName("ProdName")]
        public string ProdName { get; set; }

        /// <summary>
        /// 批准文号
        /// </summary>
        [JsonPropertyName("ProdAppNo")]
        public string ProdAppNo { get; set; }

        /// <summary>
        /// 产品批号
        /// </summary>
        [JsonPropertyName("ProdPatchNo")]
        public string ProdPatchNo { get; set; }

        /// <summary>
        /// 产品规格
        /// </summary>
        [JsonPropertyName("ProdTypeSpf")]
        public string ProdTypeSpf { get; set; }

        /// <summary>
        /// 生产厂家
        /// </summary>
        [JsonPropertyName("ProdFty")]
        public string ProdFty { get; set; }

        /// <summary>
        /// 销售企业
        /// </summary>
        [JsonPropertyName("ProdSalEnt")]
        public string ProdSalEnt { get; set; }

        /// <summary>
        /// 产品有效期
        /// </summary>
        [JsonPropertyName("ProdValid")]
        public string ProdValid { get; set; }

        /// <summary>
        /// 消费者地址
        /// </summary>
        [JsonPropertyName("ProviderAddr")]
        public string ProviderAddr { get; set; }

        /// <summary>
        /// 企业名称
        /// </summary>
        [JsonPropertyName("Invopt")]
        public string Invopt { get; set; }

        /// <summary>
        /// 所在行业类型代码
        /// </summary>
        [JsonPropertyName("UBindType")]
        public string UBindType { get; set; }

        /// <summary>
        /// 所在行业类型名称
        /// </summary>
        [JsonPropertyName("UBindTypeName")]
        public string UBindTypeName { get; set; }

        /// <summary>
        /// 市场主体类型代码
        /// </summary>
        [JsonPropertyName("EntType")]
        public string EntType { get; set; }

        /// <summary>
        /// 市场主体类型名称
        /// </summary>
        [JsonPropertyName("EntTypeName")]
        public string EntTypeName { get; set; }

        /// <summary>
        /// 企业所属行政区划代码
        /// </summary>
        [JsonPropertyName("ReqUnit")]
        public string ReqUnit { get; set; }

        /// <summary>
        /// 企业注册地址
        /// </summary>
        [JsonPropertyName("Addr")]
        public string Addr { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [JsonPropertyName("Sjztlxr")]
        public string Sjztlxr { get; set; }

        /// <summary>
        /// 统一社会信用代码
        /// </summary>
        [JsonPropertyName("Nbxh")]
        public string Nbxh { get; set; }

        /// <summary>
        /// 注册号
        /// </summary>
        [JsonPropertyName("RegNo")]
        public string RegNo { get; set; }

        /// <summary>
        /// 证件类型
        /// </summary>
        [JsonPropertyName("CertType")]
        public string CertType { get; set; }

        /// <summary>
        /// 证件类型名称
        /// </summary>
        [JsonPropertyName("CertTypeName")]
        public string CertTypeName { get; set; }

        /// <summary>
        /// 证件号码
        /// </summary>
        [JsonPropertyName("CertNo")]
        public string CertNo { get; set; }

        /// <summary>
        /// 提供方类型
        /// </summary>
        [JsonPropertyName("ReveType")]
        public string ReveType { get; set; }

        /// <summary>
        /// 提供方类型名称
        /// </summary>
        [JsonPropertyName("ReveTypeName")]
        public string ReveTypeName { get; set; }

        /// <summary>
        /// 国籍
        /// </summary>
        [JsonPropertyName("Nationality")]
        public string Nationality { get; set; }

        /// <summary>
        /// 国籍名称
        /// </summary>
        [JsonPropertyName("NationalityName")]
        public string NationalityName { get; set; }

        /// <summary>
        /// 民族
        /// </summary>
        [JsonPropertyName("Folk")]
        public string Folk { get; set; }

        /// <summary>
        /// 民族名称
        /// </summary>
        [JsonPropertyName("FolkName")]
        public string FolkName { get; set; }

        /// <summary>
        /// 提供方身份
        /// </summary>
        [JsonPropertyName("Peride")]
        public string Peride { get; set; }

        /// <summary>
        /// 提供方身份名称
        /// </summary>
        [JsonPropertyName("PerideName")]
        public string PerideName { get; set; }

        /// <summary>
        /// 电子邮箱
        /// </summary>
        [JsonPropertyName("ProviderMail")]
        public string ProviderMail { get; set; }

        /// <summary>
        /// 其他联系方式
        /// </summary>
        [JsonPropertyName("Qtlxfs")]
        public string Qtlxfs { get; set; }

        /// <summary>
        /// 咨询内容
        /// </summary>
        [JsonPropertyName("ApplIdiQue")]
        public string ApplIdiQue { get; set; }

        /// <summary>
        /// 咨询范围
        /// </summary>
        [JsonPropertyName("ConlrangeCode")]
        public string ConlrangeCode { get; set; }

        /// <summary>
        /// 咨询范围名称
        /// </summary>
        [JsonPropertyName("ConlrangeName")]
        public string ConlrangeName { get; set; }

        /// <summary>
        /// 答复内容
        /// </summary>
        [JsonPropertyName("Fknr")]
        public string Fknr { get; set; }

        /// <summary>
        /// 邮政编码
        /// </summary>
        [JsonPropertyName("Yzbm")]
        public string Yzbm { get; set; }

        /// <summary>
        /// 年龄段
        /// </summary>
        [JsonPropertyName("AgeGroup")]
        public string AgeGroup { get; set; }

        /// <summary>
        /// 年龄段名称
        /// </summary>
        [JsonPropertyName("AgeGroupName")]
        public string AgeGroupName { get; set; }
    }
}
